package com.ynet.life.sujrb.file;

import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import java.math.BigDecimal;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/CompanyInfo.class */
public class CompanyInfo implements RecordInterface {
    private String orgCode;
    private String corpCode;
    private String corName;
    private String didRemark;

    public String getOrgCode() {
        return this.orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCorpCode() {
        return this.corpCode;
    }

    public void setCorpCode(String corpCode) {
        this.corpCode = corpCode;
    }

    public String getCorName() {
        return this.corName;
    }

    public void setCorName(String corName) {
        this.corName = corName;
    }

    public String getDidRemark() {
        return this.didRemark;
    }

    public void setDidRemark(String didRemark) {
        this.didRemark = didRemark;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public void initFromMap(Map input) {
        try {
            this.orgCode = (String) input.get(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE);
            this.corpCode = (String) input.get("corpCode");
            this.corName = (String) input.get("corName");
            this.didRemark = (String) input.get("didRemark");
        } catch (Exception ex) {
            Trace.logError("LifeFile", "LifeFile异常", ex);
        }
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public KeyedCollection toKeyedCollection() {
        KeyedCollection result = new KeyedCollection();
        result.put(FileConstants.LIST_ACCBILL_DETAIL_ORGCODE, this.orgCode);
        result.put("corpCode", this.corpCode);
        result.put("corName", this.corName);
        result.put("didRemark", this.didRemark);
        return result;
    }

    @Override // com.ynet.life.sujrb.file.RecordInterface
    public BigDecimal getAmount() {
        return null;
    }

    public String toString() {
        return "CompanyInfo [orgCode=" + this.orgCode + ", corpCode=" + this.corpCode + ", corName=" + this.corName + ", didRemark=" + this.didRemark + "]";
    }
}
